Kubernetes - Add
POST https://dev.azure.com/{organization}/{project}/_apis/distributedtask/environments/{environmentId}/providers/kubernetes?api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
|
|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path | True |
|
Project ID or project name |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| clusterName |
|
|
| name |
|
|
| namespace |
|
|
| tags |
|
Tags of the kubernetes resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
|
Environment |
|
|
Environment |
Type of the resource. |
|
Identity |
|
|
Kubernetes |
|
|
Kubernetes |
|
|
Reference |
The class to represent a collection of REST reference links. |
EnvironmentReference
| Name | Type | Description |
|---|---|---|
| id |
|
|
| name |
|
EnvironmentResourceType
Type of the resource.
| Name | Type | Description |
|---|---|---|
| generic |
|
Unknown resource type |
| kubernetes |
|
Kubernetes resource type |
| undefined |
|
|
| virtualMachine |
|
Virtual machine resource type |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
|
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
|
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
|
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
|
|
| imageUrl |
|
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
|
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
|
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
|
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
|
|
| profileUrl |
|
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
|
Deprecated - use Domain+PrincipalName instead |
| url |
|
This url is the full route to the source resource of this graph subject. |
KubernetesResource
| Name | Type | Description |
|---|---|---|
| clusterName |
|
|
| createdBy | ||
| createdOn |
|
|
| environmentReference | ||
| id |
|
|
| lastModifiedBy | ||
| lastModifiedOn |
|
|
| name |
|
|
| namespace |
|
|
| serviceEndpointId |
|
|
| tags |
|
Tags of the Environment Resource. |
| type |
Environment resource type |
KubernetesResourceCreateParameters
| Name | Type | Description |
|---|---|---|
| clusterName |
|
|
| name |
|
|
| namespace |
|
|
| tags |
|
Tags of the kubernetes resource. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |